# get started

Here you will learn how to get started making your own website.

1. fork the project and clone the fork
2. {{installation.link}}

## File structure

The files that define the content can be found in `src`. There are 3 subfolders. The style and functionality is defined in `templates`. If you can't code, or you don't know what your doing, leave it alone. The static files like stylesheets or pictures exist in `static`. This folder is simply copied on build. The interesting part starts with `articles`. Here are (like the name implies) all articles.

If something remains unclear, then the code of this documentation (should be found in your fork) could be helpful.

## Write articles

The text for the articles follows the following naming scheme `<language_code>.md`. In this case it would be `en.md` then you can write the article normally using [markdown](https://www.markdownguide.org/) for formatting.

If there should be subarticles, just create a new folder in the parent article folder. The folder name will be used as slug. That means it will appear in the url, and you can use it to link to other articles.

If you want to define the metadata for the article (the name, creation date, or author), then you can do so in `index.toml`. If none exists you can just create one. Here an example of such a file.

```toml
name="stsg"
datetime="2024-04-15 13:45:12.123456"
author="Hazel"
```
